curl --request POST \
--url https://api.goenhance.ai/api/v1/audio/generations \
--header 'Content-Type: application/json' \
--data '
{
"model": "suno-lyrics",
"prompt": "A hopeful song about moving to a new city"
}
'import requests
url = "https://api.goenhance.ai/api/v1/audio/generations"
payload = {
"model": "suno-lyrics",
"prompt": "A hopeful song about moving to a new city"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({model: 'suno-lyrics', prompt: 'A hopeful song about moving to a new city'})
};
fetch('https://api.goenhance.ai/api/v1/audio/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5",
"cost": 0.13
}
}Suno Lyrics
Write song lyrics with [Verse] / [Chorus] markers from a short description. Usually returns 2 to 3 variations; pass one to suno-v6 in custom mode as lyrics.
Pricing (per request):
| Option | Tokens | USD |
|---|---|---|
| Per request | 0.13 | $0.0026 |
Result: json holds one item per variation: { "type": "json", "value": { "title": "Starry Night Dreams", "text": "[Verse]\n..." } }.
Headers
Body
Model name. Must be suno-lyrics.
suno-lyrics Required. Theme, mood or story of the song. Max 3000 characters.
3000Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.
"https://your-server.com/goenhance/callback"
